[Midnightbsd-cvs] src [11996] trunk/usr.sbin/bsdinstall: fix partition types for zfs install
laffer1 at midnightbsd.org
laffer1 at midnightbsd.org
Sat Aug 11 16:54:48 EDT 2018
Revision: 11996
http://svnweb.midnightbsd.org/src/?rev=11996
Author: laffer1
Date: 2018-08-11 16:54:47 -0400 (Sat, 11 Aug 2018)
Log Message:
-----------
fix partition types for zfs install
Modified Paths:
--------------
trunk/usr.sbin/bsdinstall/bsdinstall.8
trunk/usr.sbin/bsdinstall/partedit/scripted.c
trunk/usr.sbin/bsdinstall/scripts/auto
trunk/usr.sbin/bsdinstall/scripts/zfsboot
Modified: trunk/usr.sbin/bsdinstall/bsdinstall.8
===================================================================
--- trunk/usr.sbin/bsdinstall/bsdinstall.8 2018-08-11 20:48:04 UTC (rev 11995)
+++ trunk/usr.sbin/bsdinstall/bsdinstall.8 2018-08-11 20:54:47 UTC (rev 11996)
@@ -189,7 +189,7 @@
.Ar type
option chooses the
.Xr gpart 8
-filesystem type, e.g., freebsd-ufs, freebsd-zfs, or freebsd-swap.
+filesystem type, e.g., mnbsd-ufs, mnbsd-zfs, or mnbsd-swap.
The optional
.Ar mount point
argument sets where the created partition is to be mounted in the installed
@@ -196,7 +196,7 @@
system.
As an example, a typical invocation looks like:
.Pp
-bsdinstall scriptedpart ada0 { 20G freebsd-ufs /, 4G freebsd-swap, 20G freebsd-ufs /var, auto freebsd-ufs /usr }
+bsdinstall scriptedpart ada0 { 20G mnbsd-ufs /, 4G mnbsd-swap, 20G mnbsd-ufs /var, auto mnbsd-ufs /usr }
.Pp
A shorter invocation to use the default partitioning (as
.Cm autopart
@@ -267,7 +267,7 @@
The directory in which the distribution files can be found (or to which they
should be downloaded).
Default:
-.Pa /usr/freebsd-dist
+.Pa /usr/midnightbsd-dist
.It Ev BSDINSTALL_DISTSITE
URL from which the distribution files should be downloaded if they are not
already present in the directory defined by
Modified: trunk/usr.sbin/bsdinstall/partedit/scripted.c
===================================================================
--- trunk/usr.sbin/bsdinstall/partedit/scripted.c 2018-08-11 20:48:04 UTC (rev 11995)
+++ trunk/usr.sbin/bsdinstall/partedit/scripted.c 2018-08-11 20:54:47 UTC (rev 11996)
@@ -99,7 +99,7 @@
struct gmesh submesh;
geom_gettree(&submesh);
gpart_create(provider_for_name(&submesh, disk),
- "freebsd", NULL, NULL, &disk, 0);
+ "midnightbsd", NULL, NULL, &disk, 0);
geom_deletetree(&submesh);
} else {
disk= strdup(disk);
Modified: trunk/usr.sbin/bsdinstall/scripts/auto
===================================================================
--- trunk/usr.sbin/bsdinstall/scripts/auto 2018-08-11 20:48:04 UTC (rev 11995)
+++ trunk/usr.sbin/bsdinstall/scripts/auto 2018-08-11 20:54:47 UTC (rev 11996)
@@ -302,7 +302,7 @@
ALL_DISTRIBUTIONS="$DISTRIBUTIONS"
# Download to a directory in the new system as scratch space
- BSDINSTALL_FETCHDEST="$BSDINSTALL_CHROOT/usr/freebsd-dist"
+ BSDINSTALL_FETCHDEST="$BSDINSTALL_CHROOT/usr/midnightbsd-dist"
mkdir -p "$BSDINSTALL_FETCHDEST" || error "Could not create directory $BSDINSTALL_FETCHDEST"
export DISTRIBUTIONS="$FETCH_DISTRIBUTIONS"
Modified: trunk/usr.sbin/bsdinstall/scripts/zfsboot
===================================================================
--- trunk/usr.sbin/bsdinstall/scripts/zfsboot 2018-08-11 20:48:04 UTC (rev 11995)
+++ trunk/usr.sbin/bsdinstall/scripts/zfsboot 2018-08-11 20:54:47 UTC (rev 11996)
@@ -812,7 +812,7 @@
fi
#
- # 2. Add small freebsd-boot or efi partition
+ # 2. Add small mnbsd-boot or efi partition
#
if [ "$ZFSBOOT_BOOT_TYPE" = "UEFI" ]; then
f_eval_catch $funcname gpart \
@@ -825,7 +825,7 @@
else
f_eval_catch $funcname gpart \
"$GPART_ADD_ALIGN_LABEL_WITH_SIZE" \
- "$align_small" gptboot$index freebsd-boot \
+ "$align_small" gptboot$index mnbsd-boot \
512k $disk || return $FAILURE
f_eval_catch $funcname gpart "$GPART_BOOTCODE_PART" \
/boot/pmbr /boot/gptzfsboot 1 $disk ||
@@ -844,7 +844,7 @@
[ ${swapsize:-0} -gt 0 ] && targetpart=p4
f_eval_catch $funcname gpart \
"$GPART_ADD_ALIGN_LABEL_WITH_SIZE" \
- "$align_big" boot$index freebsd-zfs \
+ "$align_big" boot$index mnbsd-zfs \
${bootsize}b $disk ||
return $FAILURE
# Pedantically nuke any old labels
@@ -859,12 +859,12 @@
fi
#
- # 3. Add freebsd-swap partition labeled `swap#'
+ # 3. Add mnbsd-swap partition labeled `swap#'
#
if [ ${swapsize:-0} -gt 0 ]; then
f_eval_catch $funcname gpart \
"$GPART_ADD_ALIGN_LABEL_WITH_SIZE" \
- "$align_big" swap$index freebsd-swap \
+ "$align_big" swap$index mnbsd-swap \
${swapsize}b $disk ||
return $FAILURE
# Pedantically nuke any old labels on the swap
@@ -873,10 +873,10 @@
fi
#
- # 4. Add freebsd-zfs partition labeled `zfs#' for zroot
+ # 4. Add mnbsd-zfs partition labeled `zfs#' for zroot
#
f_eval_catch $funcname gpart "$GPART_ADD_ALIGN_LABEL" \
- "$align_big" zfs$index freebsd-zfs $disk ||
+ "$align_big" zfs$index mnbsd-zfs $disk ||
return $FAILURE
f_eval_catch -d $funcname zpool "$ZPOOL_LABELCLEAR_F" \
/dev/$disk$targetpart
@@ -892,10 +892,10 @@
$disk || return $FAILURE
#
- # 2. Add freebsd slice with all available space
+ # 2. Add midnightbsd slice with all available space
#
f_eval_catch $funcname gpart "$GPART_ADD_ALIGN" "$align_small" \
- freebsd $disk ||
+ midnightbsd $disk ||
return $FAILURE
f_eval_catch $funcname gpart "$GPART_SET_ACTIVE" 1 $disk ||
return $FAILURE
@@ -906,7 +906,7 @@
f_eval_catch -d $funcname gpart "$GPART_DESTROY_F" ${disk}s1
#
- # 3. Write BSD scheme to the freebsd slice
+ # 3. Write BSD scheme to the midnightbsd slice
#
f_eval_catch $funcname gpart "$GPART_CREATE" BSD ${disk}s1 ||
return $FAILURE
@@ -921,7 +921,7 @@
ZFSBOOT_BOOT_POOL=1
f_eval_catch $funcname gpart \
"$GPART_ADD_ALIGN_INDEX_WITH_SIZE" \
- "" 1 freebsd-zfs ${bootsize}b ${disk}s1 ||
+ "" 1 mnbsd-zfs ${bootsize}b ${disk}s1 ||
return $FAILURE
# Pedantically nuke any old labels
f_eval_catch -d $funcname zpool "$ZPOOL_LABELCLEAR_F" \
@@ -934,12 +934,12 @@
fi
#
- # 4. Add freebsd-swap partition
+ # 4. Add mnbsd-swap partition
#
if [ ${swapsize:-0} -gt 0 ]; then
f_eval_catch $funcname gpart \
"$GPART_ADD_ALIGN_INDEX_WITH_SIZE" \
- "$align_small" 2 freebsd-swap ${swapsize}b ${disk}s1 ||
+ "$align_small" 2 mnbsd-swap ${swapsize}b ${disk}s1 ||
return $FAILURE
# Pedantically nuke any old labels on the swap
f_eval_catch -d $funcname zpool "$ZPOOL_LABELCLEAR_F" \
@@ -947,10 +947,10 @@
fi
#
- # 5. Add freebsd-zfs partition for zroot
+ # 5. Add mnbsd-zfs partition for zroot
#
f_eval_catch $funcname gpart "$GPART_ADD_ALIGN_INDEX" \
- "$align_small" $mbrindex freebsd-zfs ${disk}s1 || return $FAILURE
+ "$align_small" $mbrindex mnbsd-zfs ${disk}s1 || return $FAILURE
f_eval_catch -d $funcname zpool "$ZPOOL_LABELCLEAR_F" \
/dev/$disk$targetpart # Pedantic
f_eval_catch $funcname dd "$DD_WITH_OPTIONS" \
More information about the Midnightbsd-cvs
mailing list